Create Customer Portal Link
curl --request POST \
--url https://api.valuechecker.net/client_reference/{client_reference_id}/portal/customer/access \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"access_pin": "1234"
}
'import requests
url = "https://api.valuechecker.net/client_reference/{client_reference_id}/portal/customer/access"
payload = { "access_pin": "1234" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({access_pin: '1234'})
};
fetch('https://api.valuechecker.net/client_reference/{client_reference_id}/portal/customer/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_reference_id": 9337,
"client_reference": "Reference 321",
"link": "https://inventory.valuechecker.ai/549b2a",
"access_pin": "1234",
"link_status": "active"
}{
"client_reference_id": 9337,
"client_reference": "Reference 321",
"link": "https://inventory.valuechecker.ai/549b2a",
"access_pin": "1234",
"link_status": "active"
}{
"error": "Client reference 9337 was not found",
"event_code": "ERNF00",
"event_dict": {
"event_severity": "ERROR",
"title": "Wrong \"client_reference_id\" value",
"description": "The client_reference_id \"9337\" was not found"
}
}{
"error": "Invalid Authorization header",
"event_code": "ERIT00",
"event_dict": {
"event_severity": "ERROR",
"title": "Invalid Authorization header",
"description": "Please provide the right authorization token"
}
}Endpoint Examples
Create Customer Portal Link
POST
/
client_reference
/
{client_reference_id}
/
portal
/
customer
/
access
Create Customer Portal Link
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Path Parameters
The client reference identifier.
Body
application/json
⌘I